Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

How do I begin to use the Litchi app?....is there a tutorial?

Discussion in 'Pro/Adv Discussion' started by n6vmo, Aug 12, 2015.

  1. n6vmo

    Joined:
    Feb 26, 2015
    Messages:
    484
    Likes Received:
    156
    Location:
    Lompoc, CA.
    As the title states.

    I am unfamiliar with how SDK, firmware and the various non-DJi apps function and work together.

    Is there a tutorial on how I can install and fly using the Litchi app on my Android device and P3A?
     
  2. rrmccabe

    Joined:
    Jul 2, 2014
    Messages:
    1,647
    Likes Received:
    358
    Location:
    Ankeny, Iowa
    John is it even out?

    The 3rd party SDK apps install and run like anything else. As long as you have firmware setup for that. My last P3 firmware allowed that.
     
  3. n6vmo

    Joined:
    Feb 26, 2015
    Messages:
    484
    Likes Received:
    156
    Location:
    Lompoc, CA.
    So the 1.2.8 FW contains SDK support or do I have to go to 1.3.20?
     
  4. rrmccabe

    Joined:
    Jul 2, 2014
    Messages:
    1,647
    Likes Received:
    358
    Location:
    Ankeny, Iowa
    I think it came with 1.3.20 but not sure. I know my Ultimate flight app now works with the DJI released firmware instead of installing a special SDK.

    I would like to try Litchi myself as I dont care for the Ultimate interface and its buggy. Might be SDK in general but would like to try something else.
     
  5. sdharris

    Joined:
    May 9, 2013
    Messages:
    450
    Likes Received:
    151
    Location:
    South West, England
    As far as I know the 1.3.20 did not contain the full SDK. I'm testing Autoflight Logic and need to use the beta SDK firmware which is 1.1.1007 from memory which is in affect 1.2.8 with the SDK as the current 1.3.20 allows some operations but not all.
     
  6. RyanK

    Joined:
    Apr 9, 2015
    Messages:
    253
    Likes Received:
    46
    Are there sdk ANDROID apps working for P3A?? Also, do you have to swap out firmware on the P3 in order for them to work, or will they work with the latest from DJI?
     
  7. D4T_PoM

    Joined:
    Jul 28, 2015
    Messages:
    693
    Likes Received:
    183
    Location:
    London UK
    So how do I go about using another app with my P3A?

    Do I need to do something in order for it to work?

    My P3A came pre-installed from factory with firmware 1.3.20

    I would love to use an app that has the follow me feature.
     
  8. Jason Lawrence

    Joined:
    May 18, 2015
    Messages:
    16
    Likes Received:
    2
    I'm as confused as a baby raccoon...Does anybody know if you can use the Litchi app with P3P?
     
  9. xave

    Joined:
    Aug 7, 2015
    Messages:
    298
    Likes Received:
    136
    ImageUploadedByPhantomPilots1439400497.993988.jpg
     
    primocyp25 likes this.
  10. JBG

    JBG

    Joined:
    May 15, 2015
    Messages:
    207
    Likes Received:
    41

    Yes, goto their Google groups page for information the last SDK firmware was released today as well as a new litchi app, works great. It is considered an alpha but works great.

    Sent from my Nexus 5 using Tapatalk
     
  11. rrmccabe

    Joined:
    Jul 2, 2014
    Messages:
    1,647
    Likes Received:
    358
    Location:
    Ankeny, Iowa
    LOL are you making fun of my avatar? haha
     
  12. Jason Lawrence

    Joined:
    May 18, 2015
    Messages:
    16
    Likes Received:
    2
    Love the picture.....Thanks for the help!
     
  13. n6vmo

    Joined:
    Feb 26, 2015
    Messages:
    484
    Likes Received:
    156
    Location:
    Lompoc, CA.
    So confusing. Even the instructions on the Litchi Google Group are confusing. The Litchi instructions for updating the firmware are from the DJi site and the link takes you to the DJi firmware download page where you can download 1.3.20....???????
    https://drive.google.com/folderview?id=0B-KZ2g2eD63FRXJ4NndMYWx3ZEk&usp=sharing

    To make matters worse, the Litchi app on the PlayStore displays it is for the Phantom 2. If I am going to shell out cash for an app, it should at least have a picture of my bird next to the purchase button.

    Am I to assume that one is to use the same DJi FW update instructions, but use the Litchi FW P3S_FW_V01.04.0001.bin instead?
     
  14. envisionabove

    Joined:
    Apr 13, 2015
    Messages:
    1,036
    Likes Received:
    387
    Location:
    Tim in San Diego
    My understanding is you pay, you goto forum and they link you to the p3 app. I agree its confusing at first lots of reading.
     
    bimmy and JBG like this.
  15. JBG

    JBG

    Joined:
    May 15, 2015
    Messages:
    207
    Likes Received:
    41

    Correct, pay, and go to group and request access to alpha, then email is sent, then once added the play store will still say for phantom 2 but if you look it will be the alpha.

    And yes for 1.7.2 you need the SDK from today. 1.04....

    Sent from my Nexus 7 using Tapatalk
     
  16. JBG

    JBG

    Joined:
    May 15, 2015
    Messages:
    207
    Likes Received:
    41
    This is the email I got when I joined on July 28th, so firmware link is NOT what you want but the Google groups have the latest SDK links

    Welcome to Litchi’s alpha testing.

    In order to get the alpha version which supports the P3/Inspire1, you will need to join this google forum/group: https://groups.google.com/forum/#!forum/vision-plus-app-alpha-testers/join

    You also need to sign up for testing at https://play.google.com/apps/testing/com.aryuthere.visionplus

    Assuming you already own the app, you will then receive alpha updates automatically through the play store.

    Firmware links can be found here: https://drive.google.com/folderview?id=0B-KZ2g2eD63FRXJ4NndMYWx3ZEk&usp=sharing

    These firmwares are required if you want to test autonomous flight modes (currently GS and POI) on the P3 or I1.

    In order to use autonomous flight modes on P3 and I1, you need to flip the controller switch to the F position. You also need to make sure that IOC is disabled (can be changed in DJI Pilot).

    If you need to regain control at any time, you will be able to do so by flipping the mode switch back to P.

    Please make sure you understand the risks if you decide to give it a try!


    Thank you for your interest!




    Sent from my Nexus 7 using Tapatalk
     
  17. tomtnt

    Joined:
    Oct 11, 2013
    Messages:
    211
    Likes Received:
    69
    DJI just released new SDK and new beta SDK firmware compatible with Litchi... 1.3.20+
     
  18. RyanK

    Joined:
    Apr 9, 2015
    Messages:
    253
    Likes Received:
    46
    So they're saying you have to use THEIR version of the firmware, or is the latest from DJI compatible with their app?? I want to be able to easily switch back and forth on the apps if need be.
     
  19. JBG

    JBG

    Joined:
    May 15, 2015
    Messages:
    207
    Likes Received:
    41

    It is NOT their firmware it is DJI'S latest developer firmware with SDK features that the public release does not have. With that said I have yet to test today's developer firmware with the new go app but the last developer firmware worked fine with the latest dji pilot app.

    Sent from my Nexus 7 using Tapatalk
     
  20. rrmccabe

    Joined:
    Jul 2, 2014
    Messages:
    1,647
    Likes Received:
    358
    Location:
    Ankeny, Iowa
    "According to DJI you now have the option to switch between the developer firmware and the official/public firmware."